/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package ventanas1;



import java.awt.Graphics2D;
import java.awt.image.BufferedImage;
import java.awt.print.PrinterException;
import java.awt.print.PrinterJob;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Properties;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.activation.DataHandler;
import javax.activation.FileDataSource;
import javax.mail.BodyPart;
import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.AddressException;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeBodyPart;
import javax.mail.internet.MimeMessage;
import javax.mail.internet.MimeMultipart;
import javax.swing.JFileChooser;
import javax.swing.JOptionPane;

/**
 *
 * @author User
 */
public class FacturaPrint extends javax.swing.JDialog {

    /**
     * Creates new form FacturaPrint
     * @param parent
     */
    public FacturaPrint(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
    }

    private FacturaPrint() {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        facturaPanel1 = new ventanas1.FacturaPanel();
        jButton2 = new javax.swing.JButton();
        Fondo = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setLocation(new java.awt.Point(170, 1));
        getContentPane().setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        facturaPanel1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                facturaPanel1MouseClicked(evt);
            }
        });
        getContentPane().add(facturaPanel1, new org.netbeans.lib.awtextra.AbsoluteConstraints(140, -90, 940, 821));

        jButton2.setBackground(new java.awt.Color(51, 204, 0));
        jButton2.setForeground(new java.awt.Color(255, 255, 255));
        jButton2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes1/impresoraBlanca.png"))); // NOI18N
        jButton2.setText("IMPRIMIR");
        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });
        getContentPane().add(jButton2, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 610, 140, 50));

        Fondo.setBackground(new java.awt.Color(204, 204, 0));
        Fondo.setOpaque(true);
        getContentPane().add(Fondo, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, 1080, 710));

        pack();
    }// </editor-fold>//GEN-END:initComponents
    
    

    
    
    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton2ActionPerformed
        
        
        
        if(Integer.parseInt(FacturaPanel.jLabelDeudas.getText())>2000000){
            JOptionPane.showMessageDialog(null, "El cliente tiene una deuda mayor a 2.000.000");
        }
       
        PrinterJob job = PrinterJob.getPrinterJob();
        job.setPrintable(facturaPanel1);

        if(job.printDialog()){
            try {
                job.print();
            } catch (PrinterException ex) {
            }
        }else{
            JOptionPane.showMessageDialog(this, "La impresión se canceló");
        }
        
       
       
        
        
        
        
        
        // ENVIAR CORREO 
        Properties propiedad = new Properties();
        propiedad.setProperty("mail.smtp.host", "smtp.gmail.com");
        propiedad.setProperty("mail.smtp.starttls.enable", "true");
        propiedad.setProperty("mail.smtp.port", "587");
        propiedad.setProperty("mail.smtp.auth", "true");
        
        Session sesion = Session.getDefaultInstance(propiedad);
        
        String correoEnvia = "familagro9@gmail.com";
        String contrasena = "Prenderia1924";
        String destinatario = FacturaPanel.jTextFieldCorreo.getText();//cambiar por el correo del cliente a enviar 
        String asunto = "Envío factura FamilAgro de: "+FacturaPanel.jLabelPresentado1.getText()+" fecha: "+FacturaPanel.jLabelFecha1.getText()+"";
        String mensaje = "Aquí lo que quiera decirle";
        
        BodyPart texto = new MimeBodyPart();
        try {
            texto.setText("Buen día, hago envío de la factura pagada por: "+FacturaPanel.jLabelContado.getText()+"");
        } catch (MessagingException ex) {
            Logger.getLogger(FacturaPrint.class.getName()).log(Level.SEVERE, null, ex);
        }
        
        BodyPart adjunto = new MimeBodyPart();
        try {
            adjunto.setDataHandler(new DataHandler(new FileDataSource("c:/Facturas/Factura.pdf")));//"c:/Users/User/Desktop/facturaFamil.jpg"
        } catch (MessagingException ex) {
            Logger.getLogger(FacturaPrint.class.getName()).log(Level.SEVERE, null, ex);
        }
        try {
            adjunto.setFileName("Factura.pdf");//
        } catch (MessagingException ex) {
            Logger.getLogger(FacturaPrint.class.getName()).log(Level.SEVERE, null, ex);
        }
        
        MimeMessage mail = new MimeMessage(sesion);
        MimeMultipart multiParte = new MimeMultipart();

        try {
            multiParte.addBodyPart(texto);
        } catch (MessagingException ex) {
            Logger.getLogger(FacturaPrint.class.getName()).log(Level.SEVERE, null, ex);
        }
        try {
            multiParte.addBodyPart(adjunto);
        } catch (MessagingException ex) {
            Logger.getLogger(FacturaPrint.class.getName()).log(Level.SEVERE, null, ex);
        }
        
        try {
            mail.setFrom(new InternetAddress (correoEnvia));
            mail.addRecipient(Message.RecipientType.TO, new InternetAddress(destinatario));
            mail.setSubject(asunto);
            //mail.setText(mensaje);
            mail.setContent(multiParte);
            
            Transport transporte = sesion.getTransport("smtp");
            transporte.connect(correoEnvia, contrasena);
            transporte.sendMessage(mail, mail.getRecipients(Message.RecipientType.TO));
            transporte.close();
            
            JOptionPane.showMessageDialog(null, "Correo enviado"); 
        } catch (AddressException ex) {
            Logger.getLogger(FacturaPrint.class.getName()).log(Level.SEVERE, null, ex);
        } catch (MessagingException ex) {
            Logger.getLogger(FacturaPrint.class.getName()).log(Level.SEVERE, null, ex);
        }
        
        
        
        
        //Subir Pdf a MySql
        
        String nombre = "factura";
        //JFileChooser escoger = new JFileChooser;
        
        
        
        
       
    }//GEN-LAST:event_jButton2ActionPerformed

    private void facturaPanel1MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_facturaPanel1MouseClicked
        // TODO add your handling code here:
    }//GEN-LAST:event_facturaPanel1MouseClicked

    /**
     * @param args the command line arguments
     */
    

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel Fondo;
    private ventanas1.FacturaPanel facturaPanel1;
    private javax.swing.JButton jButton2;
    // End of variables declaration//GEN-END:variables

    private void printerRecord(FacturaPanel facturaPanel1) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }
}
